#ifndef NETWORKLIB_PACKET_H
#define NETWORKLIB_PACKET_H

class Router;

class Packet : public NetworkObject {
public:
	Packet()						{ starting_time = -1; source = destination = last_router = 0; time_to_live = 0;}
	Packet( const Packet & other )	{ starting_time = other.starting_time; 
									  source = other.source;
									  destination = other.destination;
									  last_router = other.last_router; 
									  time_to_live = other.time_to_live; }
	virtual ~Packet()	{}

	int		  starting_time;
	Router	* source;
	Router	* destination;
	Router	* last_router;
	int time_to_live;
};

#endif //NETWORKLIB_PACKET_H