// Q_RoutingDlg.h : header file
//

#if !defined(AFX_Q_ROUTINGDLG_H__70551458_E179_11D3_AC51_000000000000__INCLUDED_)
#define AFX_Q_ROUTINGDLG_H__70551458_E179_11D3_AC51_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// my
class TestBlock;

/////////////////////////////////////////////////////////////////////////////
// CQ_RoutingDlg dialog

class CQ_RoutingDlg : public CDialog
{
// Construction
public:
	CQ_RoutingDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CQ_RoutingDlg();

// Dialog Data
	//{{AFX_DATA(CQ_RoutingDlg)
	enum { IDD = IDD_Q_ROUTING_DIALOG };
	CEdit	m_qr_dump_percent;
	CEdit	m_fe_dump_percent;
	CEdit	m_bf_dump_percent;
	CSliderCtrl	m_slider_falls;
	CSliderCtrl	m_slider_request;
	CEdit	m_qr_av_time;
	CEdit	m_qr_load;
	CEdit	m_fe_load;
	CEdit	m_fe_av_time;
	CEdit	m_bf_load;
	CEdit	m_bf_av_time;
	CStatic	m_network3_rect;
	CStatic	m_network2_rect;
	CStatic	m_network1_rect;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQ_RoutingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// my vars
	TestBlock * test_blocks;
	static UINT RunningLoop( LPVOID pParam );
	bool is_abort;
	void OneStep();

	// Generated message map functions
	//{{AFX_MSG(CQ_RoutingDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnTest();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnStop();
	afx_msg void OnOneStep();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_Q_ROUTINGDLG_H__70551458_E179_11D3_AC51_000000000000__INCLUDED_)
